aboutsummaryrefslogtreecommitdiffstats
path: root/unstable
diff options
context:
space:
mode:
authorMichael Mason <ms13sp@gmail.com>2009-10-13 21:02:57 +0000
committerMichael Mason <ms13sp@gmail.com>2009-10-13 21:02:57 +0000
commite092d1df05f32edf17a4c9d5c0aa2050e238ceb5 (patch)
tree2ec512b3ee3674ff225464cfc6e534c0dc8efb0d /unstable
parent996f4062c5e06084b0412fb6dc003d5cf32cf1c0 (diff)
downloadaports-e092d1df05f32edf17a4c9d5c0aa2050e238ceb5.tar.gz
aports-e092d1df05f32edf17a4c9d5c0aa2050e238ceb5.tar.bz2
aports-e092d1df05f32edf17a4c9d5c0aa2050e238ceb5.tar.xz
unstable genshi trac setuptools Initial commit
Diffstat (limited to 'unstable')
-rw-r--r--unstable/genshi/APKBUILD31
-rw-r--r--unstable/setuptools/APKBUILD29
-rw-r--r--unstable/trac/APKBUILD35
3 files changed, 95 insertions, 0 deletions
diff --git a/unstable/genshi/APKBUILD b/unstable/genshi/APKBUILD
new file mode 100644
index 0000000000..65e4923903
--- /dev/null
+++ b/unstable/genshi/APKBUILD
@@ -0,0 +1,31 @@
+# Contributor: Michael Mason <ms13sp@gmail.com>
+# Maintainer: Michael Mason <ms13sp@gmail.com>
+pkgname=genshi
+_altname=Genshi
+pkgver=0.5.1
+pkgrel=0
+pkgdesc="Python toolkit for stream-based generation of output for the web."
+url="http://genshi.edgewall.org/"
+license="GPL"
+depends="python setuptools"
+makedepends=""
+install=
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://ftp.edgewall.com/pub/genshi/Genshi-0.5.1.tar.bz2"
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+ make DESTDIR="$pkgdir" install
+
+ # remove the 2 lines below (and this) if there is no init.d script
+ # install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+ # install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+}
+
+md5sums="" #generate with 'abuild checksum'
diff --git a/unstable/setuptools/APKBUILD b/unstable/setuptools/APKBUILD
new file mode 100644
index 0000000000..c7c5899b4c
--- /dev/null
+++ b/unstable/setuptools/APKBUILD
@@ -0,0 +1,29 @@
+# Contributor: Michael Mason <ms13sp@gmail.com>
+# Maintainer: Michael Mason <ms13sp@gmail.com>
+pkgname=setuptools
+_altname=distribute
+pkgver=0.6.4
+pkgrel=0
+pkgdesc=""
+url="http://pypi.python.org/pypi/distribute"
+license="PSF-2.2"
+depends="python"
+makedepends=""
+install=
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://pypi.python.org/packages/source/d/distribute/$_altname-$pkgver.tar.gz"
+
+# append extra dependencies to -dev subpackage
+# remove if not used.
+# depends_dev="somepackage-dev"
+
+build() {
+ cd "$srcdir"/$_altname-$pkgver
+
+ python setup.py build
+# make || return 1
+# make DESTDIR="$pkgdir" install
+
+}
+
+md5sums="7a963679fddc64a0e363b2ccf8024952 distribute-0.6.4.tar.gz"
diff --git a/unstable/trac/APKBUILD b/unstable/trac/APKBUILD
new file mode 100644
index 0000000000..8292ef9e12
--- /dev/null
+++ b/unstable/trac/APKBUILD
@@ -0,0 +1,35 @@
+# Contributor: Michael Mason <ms13sp@gmail.com>
+# Maintainer: Michael Mason <ms13sp@gmail.com>
+pkgname=trac
+_altname=Trac
+pkgver=0.11.5
+pkgrel=0
+pkgdesc="Trac is a minimalistic web-based project management, wiki and bug/issue tracking system."
+url="http://trac.edgewall.com/"
+license="GPL"
+depends="python"
+makedepends="postgresql-dev"
+install=
+subpackages="$pkgname-dev $pkgname-doc"
+source="ftp://ftp.edgewall.com/pub/$pkgname/$_altname-$pkgver.tar.gz"
+
+# append extra dependencies to -dev subpackage
+# remove if not used.
+# depends_dev="somepackage-dev"
+
+build() {
+ cd "$srcdir"/$_altname-$pkgver
+
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+ make DESTDIR="$pkgdir" install
+
+ # remove the 2 lines below (and this) if there is no init.d script
+ # install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+ # install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+}
+
+md5sums="c8042490096a49478580fd599ad26322 Trac-0.11.5.tar.gz"